import request from '@/utils/request'

// 查询出库任务历史列表
export function listCkPickingWavegoodsbak(query) {
  return request({
    url: '/system/ckPickingWavegoodsbak/list',
    method: 'get',
    params: query
  })
}

// 查询出库任务历史详细
export function getCkPickingWavegoodsbak(id) {
  return request({
    url: '/system/ckPickingWavegoodsbak/' + id,
    method: 'get'
  })
}

// 新增出库任务历史
export function addCkPickingWavegoodsbak(data) {
  return request({
    url: '/system/ckPickingWavegoodsbak',
    method: 'post',
    data: data
  })
}

// 修改出库任务历史
export function updateCkPickingWavegoodsbak(data) {
  return request({
    url: '/system/ckPickingWavegoodsbak',
    method: 'put',
    data: data
  })
}

// 删除出库任务历史
export function delCkPickingWavegoodsbak(id) {
  return request({
    url: '/system/ckPickingWavegoodsbak/' + id,
    method: 'delete'
  })
}
// 启用
export function enabled(id) {
  return request({
    url: '/system/ckPickingWavegoodsbak/enable/' + id,
    method: 'delete'
  })
}

// 禁用
export function disabled(id) {
  return request({
    url: '/system/ckPickingWavegoodsbak/disable/' + id,
    method: 'delete'
  })
}

// 状态修改
export function changeStatus(id, status) {
  const data = {
    id,
    status
  }
  return request({
    url: '/system/ckPickingWavegoodsbak/changeStatus',
    method: 'put',
    data: data
  })
}